| Home | Libraries | People | FAQ | More

## Struct count_impl

boost::accumulators::impl::count_impl

## Synopsis

    // In header: <boost/accumulators/statistics/count.hpp>

    struct count_impl {
      // types
      typedef std::size_t result_type;

      // construct/copy/destruct
      count_impl(dont_care);

      // public member functions
      void operator()(dont_care);
      result_type result(dont_care) const;
    };

## Description

### `count_impl` public construct/copy/destruct

1.     count_impl(dont_care);

### `count_impl` public member functions

1.     void operator()(dont_care);

2.     result_type result(dont_care) const;